Dia on Windows

Requirements

In order to run dia on Windows, 98, ME, NT, 2000, XP or Vista are required. Dia needs the GTK+ Runtime Enviroment version 2.6 or higher (included in the installer). When using Dia on Windows 98 or ME, install the GTK+ Runtime Environment 2.6, not 2.8.

Download

  • Download installer from here. In this version GTK+ is included.
  • Advanced users may want to download the 0.96.1 release without GTK+. Make sure to install the GTK+ runtime environment first:

Install

  • After you download the installer and save it to a temporary folder, e.g., to Desktop, start it.
  • You will get the following window:

Diasetup1

Select your language and press button Ok.

  • Press button Next:

Diasetup2

  • Read the license terms and click button Next:

Diasetup3

  • Press button Next:

Diasetup4

  • Choose a folder to install Dia, e.g. C:\Program Files\Dia and press button Install:

Diasetup5

  • Wait few minutes.

Diasetup6

  • Finally press button Finish.

Diasetup7

  • Start the Dia from the Start menu:

506px-Diasetup8


Dia on Linux

  • In last case extract the downloaded file and go to the arising folder.

[~][$] tar xvjf dia-0.96.1.tar.bz2
[~][$] cd dia-0.96.1

Then compile the sources like normal user with the following commands:

[dia-0.96.1][$] ./configure
[dia-0.96.1][$] make

After the steps above the binaries of Dia are founded on our system. According to the default settings these files were installed to the folder of sources. To make Dia available for each user logging to our system, type the following:

[dia-0.96.1][$] ./configure --prefix=/usr/local/
[dia-0.96.1][$] su -c 'make install'
or
[dia-0.96.1][$] sudo make install

Type

[~][$] dia

to start Dia.